"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

// declare const module: any;

/**
 * [`@babel/preset-env`](https://babeljs.io/docs/en/next/babel-preset-env) is a smart preset that allows you to use the latest JavaScript without
 * needing to micromanage which syntax transforms (and optionally,
 * browser polyfills) are needed by your target environment(s).
 * This both makes your life easier and JavaScript bundles smaller!
 */
var _default = function _default(options) {
  var _options$env = options.env,
      env = _options$env === void 0 ? {} : _options$env,
      _options$targets = options.targets,
      targets = _options$targets === void 0 ? {} : _options$targets,
      _options$loose = options.loose,
      loose = _options$loose === void 0 ? false : _options$loose,
      _options$modules = options.modules,
      modules = _options$modules === void 0 ? 'auto' : _options$modules,
      _options$useBuiltIns = options.useBuiltIns,
      useBuiltIns = _options$useBuiltIns === void 0 ? false : _options$useBuiltIns,
      transformRuntime = options.transformRuntime;
  var plugins = [require.resolve('@babel/plugin-syntax-dynamic-import'), [require.resolve('@babel/plugin-proposal-decorators'), {
    legacy: true
  }], [require.resolve('@babel/plugin-proposal-class-properties'), {
    loose: true
  }], require.resolve('@babel/plugin-transform-async-to-generator'), require.resolve('@babel/plugin-proposal-object-rest-spread'), require.resolve('@babel/plugin-proposal-export-default-from')];

  if (transformRuntime) {
    plugins.push([require.resolve('@babel/plugin-transform-runtime'), transformRuntime]);
  }

  return {
    presets: [[require.resolve('@babel/preset-env'), _objectSpread({
      targets: targets,
      loose: loose,
      modules: modules,
      useBuiltIns: useBuiltIns
    }, env)], require.resolve('@babel/preset-typescript')],
    plugins: plugins
  };
};

exports["default"] = _default; 
//# sourceMappingURL=index.js.map